@echo off

::Batch file to kick off XP Pro Unattended Install
::The I: Drive, which is used below, is created on the
::floppy disk that connects the PC to the server
::with the net use command, eg. net use i: \\server01\installs.
::Once the WinXP Pro install starts copying files, you can
::remove the floppy disk from the PC.


cls
:: Set environmental variables
set AnswerFile=i:\winxp\boot\unattend.txt
set SetupFiles=i:\winxp\i386

:: After Gdisk partitions and formats the hard drive the PC must be
:: rebooted.  The following line checks to see if the PC was rebooted
:: by checking for the flag.txt file.
:: If the file exists, the PC was formatted and partitioned, and the 
:: batch files jumps down to install WinXP.

if exist flag\flag.txt goto INSTALL

echo.
echo      Your PC is connected to the Network, and
echo      Windows XP Pro Setup will begin.
echo.
echo      Your Hard Drive will be partitioned and
echo      formatted.
echo.
echo      Do you want to continue (Y/N)?
echo.

yn.com
if not errorlevel 1 goto STOP
goto PART

:PART
:: Call Norton Gdisk.exe to partition and format the hard drive, then reboot the PC.
@call newpart.bat

:: This line creates the flag.txt file.  If the flag.txt file
:: exits in the \Flag directory, then the PC was partitioned and formatted.
echo Gdisk was Run > flag\flag.txt

:: Reboot.com is a small program that reboots a PC
reboot.com
goto END


:INSTALL

If exist flag\flag.txt del flag\flag.txt

::Start the WinXP Pro Install

I:
cd\
winxp\i386\winnt.exe /u:%AnswerFile% /s:%SetupFiles%
goto END


:STOP
cls
echo.
echo User Terminated Install
echo.
goto END

:END